/*
// Based on the Microsoft SQL Server Management Studio (SSMS)-like style by David Simner <david.simner@red-gate.com>
// See https://github.com/highlightjs/highlightjs-tsql
*/

.hljs
{
    background: white;
    color: #808080;

    padding: 0.5em;

    overflow-x: auto;
}

.hljs-keyword
{
    text-transform: uppercase;

    color: #0000FF; /* SSMS: Keyword */
}

.hljs-built_in
{
    text-transform: uppercase;

    color: #FF00FF; /* SSMS: SQL System Function */
}

.hljs-type
{
    color: #2B91AF; /* SSMS: Type */
}

.hljs-function
{
    color: #800000; /* SSMS: SQL Stored Procedure */
}

.hljs-number
{
    color: #000000; /* SSMS: Number */
}

.hljs-string
{
    color: #FF0000; /* SSMS: SQL String */
}

.hljs-symbol
{
    color: #000000;
}

.hljs-literal
{
    text-transform: uppercase;

    color: #808080; /* SSMS: SQL Operator */
}

.hljs-comment
{
    color: #008000; /* SSMS: Comment */
}

.hljs-meta
{
    background: #CDCDCD;
    color: #000000;
}
